/*!
 * Copyright (c) what3words http://what3words.com
 */
'use strict';

var utilisation = require('./utilisation-DUXx6DYb.js');
var appGlobals = require('./app-globals-CDcvAvLp.js');

var _documentCurrentScript = typeof document !== 'undefined' ? document.currentScript : null;
/*
 Stencil Client Patch Browser v4.29.2 | MIT Licensed | https://stenciljs.com
 */

var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (_documentCurrentScript && _documentCurrentScript.tagName.toUpperCase() === 'SCRIPT' && _documentCurrentScript.src || new URL('what3words.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return utilisation.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return utilisation.bootstrapLazy([["what3words-address_5.cjs",[[0,"what3words-address",{"words":[1],"iconColor":[1,"icon-color"],"textColor":[1,"text-color"],"size":[2],"target":[1],"link":[4],"tooltip":[4],"tooltipLocation":[1,"tooltip-location"],"showTooltip":[4,"show-tooltip"]}],[4,"what3words-autosuggest",{"callback":[1],"api_key":[1],"headers":[1],"base_url":[1],"api_version":[1],"name":[1],"initial_value":[1025],"variant":[1],"typeahead_delay":[2],"invalid_address_error_message":[1025],"strict":[4],"language":[1],"autosuggest_focus":[1],"n_focus_results":[2],"clip_to_country":[1],"clip_to_bounding_box":[1],"clip_to_circle":[1],"clip_to_polygon":[1],"return_coordinates":[4],"options":[16],"rawValue":[32],"value":[32],"input":[32],"latInput":[32],"lngInput":[32],"suggestions":[32],"selectedSuggestion":[32],"showSuggestions":[32],"hasFocus":[32],"latitude":[32],"longitude":[32],"apiRequestTimeout":[32],"loading":[32],"hoverIndex":[32],"error":[32],"errorTimeout":[32],"clients":[32]},[[3,"value_changed","onValueChanged"],[3,"value_valid","onValueValid"],[0,"value_invalid","onValueInvalid"],[3,"suggestions_changed","onSuggestionsChanged"],[3,"suggestions_not_found","onSuggestionsNotFound"],[3,"selected_suggestion","onSelectedSuggestion"],[3,"selected_custom_option","_onSelectedCustomOption"],[3,"coordinates_changed","_onCoordinatesChanged"],[3,"__hover","_onHover"],[3,"__focus","_onFocus"],[3,"__blur","_onBlur"],[3,"__error","_onError"],[3,"input","onInput"],[2,"paste","onPaste"],[3,"blur","onBlur"],[3,"focus","onFocus"],[2,"keyup","onKeyUp"]],{"api_key":["setApiKey"],"base_url":["setBaseUrl"],"api_version":["setApiVersion"],"headers":["setHeaders"],"options":["setCustomOptions"]}],[4,"what3words-notes",{"addressFormat":[1,"address-format"],"showHintsTooltip":[4,"show-hints-tooltip"],"callback":[1],"apiKey":[1,"api-key"],"headers":[1],"baseUrl":[1,"base-url"],"apiVersion":[1,"api-version"],"typeaheadDelay":[2,"typeahead-delay"],"language":[1],"searchFocus":[1,"search-focus"],"nFocusResults":[2,"n-focus-results"],"clipToCountry":[1,"clip-to-country"],"clipToBoundingBox":[1,"clip-to-bounding-box"],"clipToCircle":[1,"clip-to-circle"],"clipToPolygon":[1,"clip-to-polygon"],"value":[32],"suggestions":[32],"selectedSuggestions":[32],"updatingSelectedSuggestions":[32],"apiRequestTimeout":[32],"loading":[32],"hoverIndex":[32],"clients":[32],"tooltipOpen":[32]},[[3,"valueChanged","handleValueChanged"],[3,"valueValid","handleValueValid"],[0,"valueInvalid","handleValueInvalid"],[3,"suggestionsChanged","handleSuggestionsChanged"],[3,"suggestionSelected","handleSuggestionSelected"],[3,"suggestionHover","handleSuggestionHover"],[3,"blur","handleBlur"],[3,"input","handleInput"],[2,"keydown","handleKeyDown"],[11,"contextmenu","handleContextMenu"],[11,"click","handleWindowClick"],[3,"scroll","handleScroll"]],{"apiKey":["setApiKey"],"baseUrl":["setBaseUrl"],"apiVersion":["setApiVersion"],"headers":["setHeaders"],"loading":["handleLoadingChange"],"suggestions":["handleSuggestionsChange"]}],[4,"what3words-map",{"api_key":[1],"headers":[1],"base_url":[1],"api_version":[1],"words":[1],"map_provider":[1],"map_api_key":[1],"version":[1],"libraries":[16],"language":[1],"region":[1],"lat":[1026],"lng":[1026],"tilt":[2],"disable_default_ui":[4],"zoom":[2],"zoom_control":[4],"zoom_control_position":[2],"map_type_id":[1],"map_type_control":[4],"map_type_control_position":[2],"scale_control":[4],"street_view_control":[4],"street_view_control_position":[2],"rotate_control":[4],"rotate_control_position":[2],"fullscreen_control":[4],"fullscreen_control_position":[2],"search_control_position":[2],"current_location_control_position":[2],"selected_zoom":[2],"current_location":[4],"watch_location":[4],"marker_icon":[1],"reset_zoom_on_select":[4],"searchControlSlot":[32],"currentLocationControlSlot":[32],"zoomControlSlot":[32],"mapTypeControlSlot":[32],"mapLoaded":[32],"input":[32],"autosuggest":[32],"placesSuggestions":[32],"apiRequestTimeout":[32],"watch_id":[32],"provider":[32],"current_location_coordinates":[32],"w3wLanguage":[32],"clients":[32],"setApiKey":[64],"setBaseUrl":[64],"setHeaders":[64],"setApiVersion":[64],"setWords":[64],"clearGrid":[64],"getLat":[64],"setCoordinates":[64],"getLng":[64],"setZoom":[64],"getZoom":[64],"getBounds":[64],"panTo":[64],"setMapTypeId":[64]},[[0,"__load","onLoad"],[3,"coordinates_changed","onSelectedCoordinates"]],{"api_key":["setApiKey"],"base_url":["setBaseUrl"],"headers":["setHeaders"],"api_version":["setApiVersion"],"words":["setWords"],"lng":["setCoordinates"],"lat":["setCoordinates"],"zoom":["setZoom"],"map_type_id":["setMapTypeId"],"search_control_position":["setSearchControlPosition"],"current_location_control_position":["setCurrentLocationControlPosition"],"map_type_control_position":["setMapTypeControlPosition"],"zoom_control_position":["setZoomControlPosition"],"fullscreen_control_position":["setFullscreenControlPosition"],"street_view_control_position":["setStreetViewControlPosition"],"rotate_control_position":["setRotateControlPosition"],"placesSuggestions":["handlePlacesSuggestions"],"version":["watchMapVersion"],"map_api_key":["watchMapApiKey"],"libraries":["watchMapLibraries"],"language":["watchMapLanguage"],"region":["watchMapRegion"]}],[0,"what3words-symbol",{"color":[1],"size":[2]}]]]], options);
});

exports.setNonce = utilisation.setNonce;
