/*!
 * Copyright (c) what3words http://what3words.com
 */
import { h } from "@stencil/core";
import { Header } from "./header";
export const Tooltip = ({ tag, style, onClose, }) => {
    return (h("section", { class: { [`${tag}-tooltip`]: !!tag }, style: style }, h(Header, { tag: tag, onClose: onClose, style: {
            backgroundColor: "white",
            borderRadius: "0.5rem",
            margin: "-8px -8px 0 -8px",
        } }), h("slot", { name: "tooltip" }, h("h3", { class: { [`${tag}-tooltip-title`]: !!tag } }, "Did you know?"), h("p", { class: { [`${tag}-tooltip-description`]: !!tag } }, "You can add a", " ", h("a", { href: "https://delivery.w3w.co", target: "_blank", rel: "noopener noreferrer" }, "what3words"), " ", "address to help our delivery partners find you first time", h("br", null), "e.g. ///limit.boom.field"))));
};
