/*!
 * Copyright (c) what3words http://what3words.com
 */
import { h } from "@stencil/core";
export const Status = (props) => {
    const top = props.offsetHeight
        ? Math.round((props.offsetHeight - 20) / 2) + "px"
        : undefined;
    return (h("span", { class: props.class, "data-testid": "state",
        // Fix to ensure loading spinner/success are vertically aligned correctly in IE11
        style: { top } }));
};
