/*!
 * Copyright (c) what3words http://what3words.com
 */
import { DEFAULTS } from "../../lib/constants";
import { h } from "@stencil/core";
export class What3wordsSymbol {
    constructor() {
        this.color = DEFAULTS.iconColor;
        this.size = DEFAULTS.symbolSize;
    }
    render() {
        return (h("svg", { key: '89e59ce38f727905f3491848ca88cdc6f73a07cb', viewBox: "0 0 32 32", class: "what3words-logo", style: {
                color: this.color,
                width: `${this.size}px`,
                height: `${this.size}px`,
            }, "data-testid": "what3words-symbol" }, h("path", { key: '218fe7aa7c9153c0499762959f09814cb1fb17a2', fill: "currentColor", d: "M10.7,4h2L4,28H2L10.7,4z M19.7,4h2L13,28h-2L19.7,4z M28.7,4h2L22,28h-2L28.7,4z" })));
    }
    static get is() { return "what3words-symbol"; }
    static get originalStyleUrls() {
        return {
            "$": ["what3words-symbol.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["what3words-symbol.css"]
        };
    }
    static get properties() {
        return {
            "color": {
                "type": "string",
                "attribute": "color",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "DEFAULTS.iconColor"
            },
            "size": {
                "type": "number",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "DEFAULTS.symbolSize"
            }
        };
    }
}
